jekyll-polyglot 1.3.2 → 1.3.3

This diff has not been reviewed by any users.
Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
2
  SHA256:
3
- metadata.gz: e3f7773339c45333233f02e73f7e7c96e87a6609ebdb6e6c1082b3adebf679d0
4
- data.tar.gz: 5d8bdce1424b3be47d4e1dc07d1dba638436c2c65674e00845c354352b118387
3
+ metadata.gz: 8d7425cddd591dc3592b0ff61562a3283e333b2239a56f27f1a031e3267f33b4
4
+ data.tar.gz: 6de2896cab126733b10f137b0a04e09bc73b1deb14e847b73012533f555fc2d2
5
5
  SHA512:
6
- metadata.gz: 154f29a20360f6db96f4be7c8584158c9d71c723ae306ad4093ab306eb6b52877bf75ebd5cf222251ebbadfada6c075d1dda06b65f0108b0eddbc8621e05b016
7
- data.tar.gz: 240fdec79c5f4188d46a3ec160b17b8fc57fd5341564e105464bf877aa0d8bfe7b69d1f1bbc51c56d03c2a85499f33143ed77eb9131e62891e2c7f76147065c1
6
+ metadata.gz: b91c4e63e27ca6e7d86d0dd2fe378e976abe8b1f3b5914f52399f5f6548b3187f9fdf96fc03c3ef142949428f88b5c5d772b62d01eb62dd36ae3f1aab704bd30
7
+ data.tar.gz: f54dfc40d3a06ecac353b0f5225532a917d49bb5a28aca75355472d463aa9fef510f79330f6f2bfca90f04d2af5b226e0f3fa3a8702747c8a2269c64f995161a
@@ -185,10 +185,14 @@ module Jekyll
185
185
  end
186
186
 
187
187
  def relativize_urls(doc, regex)
188
+ return if doc.output.nil?
189
+
188
190
  doc.output.gsub!(regex, "href=\"#{@baseurl}/#{@active_lang}/" + '\1"')
189
191
  end
190
192
 
191
193
  def relativize_absolute_urls(doc, regex, url)
194
+ return if doc.output.nil?
195
+
192
196
  doc.output.gsub!(regex, "href=\"#{url}#{@baseurl}/#{@active_lang}/" + '\1"')
193
197
  end
194
198
  end
@@ -1,5 +1,5 @@
1
1
  module Jekyll
2
2
  module Polyglot
3
- VERSION = '1.3.2'.freeze
3
+ VERSION = '1.3.3'.freeze
4
4
  end
5
5
  end
metadata CHANGED
@@ -1,7 +1,7 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: jekyll-polyglot
3
3
  version: !ruby/object:Gem::Version
4
- version: 1.3.2
4
+ version: 1.3.3
5
5
  platform: ruby
6
6
  authors:
7
7
  - Samuel Volin